package com.ywt.config.db;

import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.jdbc.DataSourceBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

import javax.sql.DataSource;

/**
 * Created by huangguoping.
 */
@Configuration
public class Datasources {
    @Bean(name = "glassesDataSource")
    @Qualifier("glassesDataSource")
    @ConfigurationProperties(prefix="spring.datasource.glasses")
    @Primary
    public DataSource ywtCenterDataSource(){
        return DataSourceBuilder.create().build();
    }


}
