package com.ywt.service;

import com.ywt.gapi.mq.DubboMQExecutorServiceTriple;
import com.ywt.gapi.mq.ExecuteGRPCRequest;
import com.ywt.gapi.mq.ExecuteGRPCResponse;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.stereotype.Service;

/**
 *
 */
@DubboService // dubbo用于报漏接口
@Service // 用于标注当前类是service 注册到Spring容器
public class DemoProvider extends DubboMQExecutorServiceTriple.MQExecutorServiceImplBase  {

    @Override
    public ExecuteGRPCResponse executeGRPC(ExecuteGRPCRequest request){
        return ExecuteGRPCResponse.newBuilder().setCode(121).setMsgId("232").build();
    }
}
